[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# Hex2Dec

Converts a hexadecimal string to a decimal value

## Declaration

Source position: strutils.pp line 219

`function Hex2Dec(`
`const S: string`
`):LongInt;`

## Arguments

`S` |  | String to convert

## Function result

Hexadecimal value of the string

## Description

Hex2Dec converts the hexadecimal value in the string S to its decimal value. Unlike the standard Valor StrToInt functions, there need not be a $ sign in front of the hexadecimal value to indicate that it is indeed a hexadecimal value.

## Errors

If S does not contain a valid hexadecimal value, an EConvertError exception will be raised.

## See also

Dec2Numb |  | Convert a decimal number to a string representation, using given a base.
IntToBin |  | Converts an integer to a binary string representation, inserting spaces at fixed locations.
intToRoman |  | Represent an integer with roman numerals
RomanToInt |  | Convert a string with a Roman number to it's decimal value.